Subject: Re: GPL inconsistency in arch/ppc/ocp/xlinx/

From: Peter Ryser <[email-masked]>
Date: Mon, 16 Jun 2003 21:50:19 -0700

I'm working with our legal departement on straightening the licensing issues
out. Our intention is to distribute the source code under GPL. Most likely, we
will remove

*     Xilinx products are not intended for use in life support
*     appliances, devices, or systems. Use in such applications are
*     expressly prohibited.

without replacement.

- Peter

Tom Rini wrote:

> On Thu, Jun 12, 2003 at 10:32:05PM +0200, Christoph Hellwig wrote:
> >
> > On Sat, May 24, 2003 at 10:12:13PM +0200, Christoph Hellwig wrote:
> > >
> > > you seem to have added the the directory in the topic to the
> > > LinuxPPC trees. Unfortunately they have a license consitency that
> > > basically makes them illegal to distribute, they claim to be under
> > > GPL but have the following notice:
> > >
> > > *     Xilinx products are not intended for use in life support
> > > *     appliances, devices, or systems. Use in such applications are
> > > *     expressly prohibited.
> > >
> > > Could you please contact Xilinc to clarify the license and/or remove
> > > those files from the tree? Thanks.
> >
> > As there hasn't been any answer yet I think these files should be
> > remove to ensure the linuxppc tree is legally distributable.
>
> I think you should ask someone responsible first.  And on the correct
> mailing list as well.  Armin is not responsible for this code, Scott
> Anderson is.  Armin just put it into the linuxppc-2.5 tree.  Second,
> Peter Ryser (who handles the Xilinx side of things) is on the
> linuxppc-embedded list, where most of the 4xx people are.  Finally,
> Peter knows about this, and last I knew was talking to their legal
> department.  Peter, any news on this?
>
> --
> Tom Rini
> http://gate.crashing.org/~trini/
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/